Subject: Incorrect register-definition-prefixes in ldefs-boot.el

From: Stefan Kangas <[email-masked]>
Date: Thu, 4 Aug 2022 09:18:32 +0000

Severity: minor

I see in ldefs-boot.el the following that doesn't seem entirely right to
me:

(register-definition-prefixes "semantic/db-javascript"
'("javascript-mode" "semanticdb-"))

(register-definition-prefixes "edebug" '("arglist" "backquote-form"
"def-declarations" "edebug" "function-form" "interactive" "lambda-"
"name" "nested-backquote-form"))

(register-definition-prefixes "shortdoc" '("alist" "buffer" "file"
"hash-table" "keymaps" "list" "number" "overlay" "process" "regexp"
"sequence" "shortdoc-" "string" "text-properties" "vector"))